org.apache.maven.artifact.versioning

## Class DefaultArtifactVersion

- java.lang.Object
- - org.apache.maven.artifact.versioning.DefaultArtifactVersion

All Implemented Interfaces:
  java.lang.Comparable, ArtifactVersion

    public class DefaultArtifactVersion
    extends java.lang.Object
    implements ArtifactVersion

Default implementation of artifact versioning.

Version:
  $Id: DefaultArtifactVersion.java 674059 2008-07-04 14:04:24Z brett $
Author:
  Brett Porter

### Constructor Summary

Constructors
Constructor and Description
`DefaultArtifactVersion(java.lang.String version)`

### Method Summary

Methods
`int` `compareTo(java.lang.Object o)`
`boolean` `equals(java.lang.Object other)`
`int` `getBuildNumber()`
`int` `getIncrementalVersion()`
`int` `getMajorVersion()`
`int` `getMinorVersion()`
`java.lang.String` `getQualifier()`
`int` `hashCode()`
`void` `parseVersion(java.lang.String version)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DefaultArtifactVersion

    public DefaultArtifactVersion(java.lang.String version)

### Method Detail

#### compareTo

    public int compareTo(java.lang.Object o)

Specified by:
  `compareTo` in interface `java.lang.Comparable`

#### getMajorVersion

    public int getMajorVersion()

Specified by:
  `getMajorVersion` in interface `ArtifactVersion`

#### getMinorVersion

    public int getMinorVersion()

Specified by:
  `getMinorVersion` in interface `ArtifactVersion`

#### getIncrementalVersion

    public int getIncrementalVersion()

Specified by:
  `getIncrementalVersion` in interface `ArtifactVersion`

#### getBuildNumber

    public int getBuildNumber()

Specified by:
  `getBuildNumber` in interface `ArtifactVersion`

#### getQualifier

    public java.lang.String getQualifier()

Specified by:
  `getQualifier` in interface `ArtifactVersion`

#### parseVersion

    public final void parseVersion(java.lang.String version)

Specified by:
  `parseVersion` in interface `ArtifactVersion`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### equals

    public boolean equals(java.lang.Object other)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`